package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import northwind_entities_save.DWEntity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * Products generated by hbm2java
 */
@Entity
@DWEntity
@Table(name="products"
    ,catalog="northwind"
)
public class Products  implements java.io.Serializable {
    public String toString() {
        return
            "\"" + id + "\"," +
            "\"" + productCode + "\"," +
            "\"" + productName + "\"," +
            "\"" + description + "\"," +
            "\"" + standardCost + "\"," +
            "\"" + listPrice + "\"," +
            "\"" + quantityPerUnit + "\"," +
            "\"" + discontinued + "\"," +
            "\"" + category + "\"";
    }

     private Integer id;
     private String supplierIds;
     private String productCode;
     private String productName;
     private String description;
     private BigDecimal standardCost;
     private BigDecimal listPrice;
     private Integer reorderLevel;
     private Integer targetLevel;
     private String quantityPerUnit;
     private boolean discontinued;
     private Integer minimumReorderQuantity;
     private String category;
     private byte[] attachments;
     private Set<OrderDetails> orderDetailses = new HashSet<OrderDetails>(0);
     private Set<PurchaseOrderDetails> purchaseOrderDetailses = new HashSet<PurchaseOrderDetails>(0);
     private Set<InventoryTransactions> inventoryTransactionses = new HashSet<InventoryTransactions>(0);

    public Products() {
    }

	
    public Products(BigDecimal listPrice, boolean discontinued) {
        this.listPrice = listPrice;
        this.discontinued = discontinued;
    }
    public Products(String supplierIds, String productCode, String productName, String description, BigDecimal standardCost, BigDecimal listPrice, Integer reorderLevel, Integer targetLevel, String quantityPerUnit, boolean discontinued, Integer minimumReorderQuantity, String category, byte[] attachments, Set<OrderDetails> orderDetailses, Set<PurchaseOrderDetails> purchaseOrderDetailses, Set<InventoryTransactions> inventoryTransactionses) {
       this.supplierIds = supplierIds;
       this.productCode = productCode;
       this.productName = productName;
       this.description = description;
       this.standardCost = standardCost;
       this.listPrice = listPrice;
       this.reorderLevel = reorderLevel;
       this.targetLevel = targetLevel;
       this.quantityPerUnit = quantityPerUnit;
       this.discontinued = discontinued;
       this.minimumReorderQuantity = minimumReorderQuantity;
       this.category = category;
       this.attachments = attachments;
       this.orderDetailses = orderDetailses;
       this.purchaseOrderDetailses = purchaseOrderDetailses;
       this.inventoryTransactionses = inventoryTransactionses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    @Column(name="supplier_ids")
    public String getSupplierIds() {
        return this.supplierIds;
    }
    
    public void setSupplierIds(String supplierIds) {
        this.supplierIds = supplierIds;
    }
    
    @Column(name="product_code", length=25)
    public String getProductCode() {
        return this.productCode;
    }
    
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }
    
    @Column(name="product_name", length=50)
    public String getProductName() {
        return this.productName;
    }
    
    public void setProductName(String productName) {
        this.productName = productName;
    }
    
    @Column(name="description")
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    @Column(name="standard_cost", scale=4)
    public BigDecimal getStandardCost() {
        return this.standardCost;
    }
    
    public void setStandardCost(BigDecimal standardCost) {
        this.standardCost = standardCost;
    }
    
    @Column(name="list_price", nullable=false, scale=4)
    public BigDecimal getListPrice() {
        return this.listPrice;
    }
    
    public void setListPrice(BigDecimal listPrice) {
        this.listPrice = listPrice;
    }
    
    @Column(name="reorder_level")
    public Integer getReorderLevel() {
        return this.reorderLevel;
    }
    
    public void setReorderLevel(Integer reorderLevel) {
        this.reorderLevel = reorderLevel;
    }
    
    @Column(name="target_level")
    public Integer getTargetLevel() {
        return this.targetLevel;
    }
    
    public void setTargetLevel(Integer targetLevel) {
        this.targetLevel = targetLevel;
    }
    
    @Column(name="quantity_per_unit", length=50)
    public String getQuantityPerUnit() {
        return this.quantityPerUnit;
    }
    
    public void setQuantityPerUnit(String quantityPerUnit) {
        this.quantityPerUnit = quantityPerUnit;
    }
    
    @Column(name="discontinued", nullable=false)
    public boolean isDiscontinued() {
        return this.discontinued;
    }
    
    public void setDiscontinued(boolean discontinued) {
        this.discontinued = discontinued;
    }
    
    @Column(name="minimum_reorder_quantity")
    public Integer getMinimumReorderQuantity() {
        return this.minimumReorderQuantity;
    }
    
    public void setMinimumReorderQuantity(Integer minimumReorderQuantity) {
        this.minimumReorderQuantity = minimumReorderQuantity;
    }
    
    @Column(name="category", length=50)
    public String getCategory() {
        return this.category;
    }
    
    public void setCategory(String category) {
        this.category = category;
    }
    
    @Column(name="attachments")
    public byte[] getAttachments() {
        return this.attachments;
    }
    
    public void setAttachments(byte[] attachments) {
        this.attachments = attachments;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="products")
    public Set<OrderDetails> getOrderDetailses() {
        return this.orderDetailses;
    }
    
    public void setOrderDetailses(Set<OrderDetails> orderDetailses) {
        this.orderDetailses = orderDetailses;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="products")
    public Set<PurchaseOrderDetails> getPurchaseOrderDetailses() {
        return this.purchaseOrderDetailses;
    }
    
    public void setPurchaseOrderDetailses(Set<PurchaseOrderDetails> purchaseOrderDetailses) {
        this.purchaseOrderDetailses = purchaseOrderDetailses;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="products")
    public Set<InventoryTransactions> getInventoryTransactionses() {
        return this.inventoryTransactionses;
    }
    
    public void setInventoryTransactionses(Set<InventoryTransactions> inventoryTransactionses) {
        this.inventoryTransactionses = inventoryTransactionses;
    }




}


